Webhooks send POST request notifications to your HTTPS endpoint when events occur within Foxglove. This section describes the JSON request body format your endpoint should expect for each event type.
recording.created events occur when a recording is created. Recordings are created when a file is uploaded, added to Edge Site storage, or created on a device that runs Foxlet.
POST
{ "type": "recording.created", "timestamp": "2019-08-24T14:15:22Z", "attemptedAt": "2019-08-24T14:15:22Z", "webhookEventId": "string", "webhookId": "string", "recording": { "id": "string", "key": "string", "sessionId": "string", "importStatus": "none", "path": "string", "location": { … }, "device": { … }, "edgeSite": { … }, "site": { … } }, "projectId": "string" }